Bug 561988 - alsa-utils dependency on dialog missing
Summary: alsa-utils dependency on dialog missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-04 21:55 UTC by Dean Brettle
Modified: 2010-07-13 20:40 UTC (History)
2 users (show)

Fixed In Version: alsa-utils-1.0.23-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 18:41:58 UTC
Type: ---


Attachments (Terms of Use)

Description Dean Brettle 2010-02-04 21:55:53 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.6) Gecko/20100107 Fedora/3.5.6-1.fc12 Firefox/3.5.6

/usr/bin/alsa-info.sh uses the dialog package but alsa-utils doesn't require it.  Without it, alsa-info.sh will not run.  Instead, it says that there is a new version of alsa-info.sh available and exits.

Reproducible: Always

Steps to Reproduce:
Run alsa-info.sh when the dialog package is not installed.

Comment 1 Fedora Update System 2010-06-28 12:20:47 UTC
alsa-utils-1.0.23-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc12

Comment 2 Fedora Update System 2010-06-28 12:21:01 UTC
alsa-utils-1.0.23-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc13

Comment 3 Fedora Update System 2010-06-28 17:09:01 UTC
alsa-utils-1.0.23-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alsa-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc13

Comment 4 Fedora Update System 2010-06-28 17:18:20 UTC
alsa-utils-1.0.23-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alsa-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/alsa-utils-1.0.23-3.fc12

Comment 5 James Laska 2010-06-30 13:29:24 UTC
Fixed with alsa-utils-1.0.23-3.fc13

### Fedora 13 ###
# New package has the dependency
$ rpm -qR alsa-utils | grep dialog
dialog  

# alsa-utils released with Fedora 13 does not
$ rpm -qpR released/F-13/GOLD/Fedora/x86_64/os/Packages/alsa-utils-1.0.22-1.fc13.x86_64.rpm  | grep dialog

### Fedora 12 ###
# New package has the dependency
$ rpm -qpR alsa-utils-1.0.23-3.fc12.x86_64.rpm  | grep dialog
dialog 

# alsa-utils released with Fedora 13 does not
$ rpm -qpR released/F-12/GOLD/Fedora/x86_64/os/Packages/alsa-utils-1.0.21-2.fc12.x86_64.rpm  | grep dialog

Comment 6 Fedora Update System 2010-07-01 18:41:44 UTC
alsa-utils-1.0.23-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-13 20:39:58 UTC
alsa-utils-1.0.23-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.